# studio::Dock_MetaData Class Reference

`#include <dock_metadata.h>`

Inheritance diagram for studio::Dock_MetaData:

List of all members.

## Public Member Functions

| Dock_MetaData ()
| ~Dock_MetaData ()

## Protected Member Functions

virtual void | init_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)
virtual void | changed_canvas_view_vfunc (etl::loose_handle< CanvasView > canvas_view)

## Constructor & Destructor Documentation

Dock_MetaData::Dock_MetaData | ( |  | ) |

References _, studio::Dockable::add_button(), studio::MetaDataTreeStore::Model::data, and studio::MetaDataTreeStore::Model::key.

Dock_MetaData::~Dock_MetaData | ( |  | ) |

## Member Function Documentation

void Dock_MetaData::init_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::MetaDataTreeStore::create(), and studio::Dockable::get_name().

void Dock_MetaData::changed_canvas_view_vfunc | ( | etl::loose_handle< CanvasView > | canvas_view | ) | `[protected, virtual]`

Reimplemented from studio::Dock_CanvasSpecific.

References studio::Dockable::get_name().

The documentation for this class was generated from the following files:

- dock_metadata.h
- dock_metadata.cpp